###### $URL: http://svn.uv-software.com/opensource/linux/CANopen/COPbrowser/trunc/COPbrowser.pro $
#
#	project   :  CAN - Controller Area Network
#	
#	purpose   :  CANopen Object Browser for Linux
#	
#	copyright :  (C) 2009, UV Software, Friedrichshafen
#
#	compiler  :  qmake for Trolltech s Qt3
#
#	target    :  COPbrowser
#	
#	template  :  app (default)
#	
#	author    :  Uwe Vogt, UV Software
#	
#	e-mail    :  uwe.vogt@uv-software.de

CONFIG += qt warn_on debug

QT     += widgets qt3support
DEFINES += PF_CAN=29 \
	AF_CAN=PF_CAN \
	_COPAPI_EXTERN
 
TARGET  = COPbrowser

HEADERS = COPbrowser.h \
	MainFrame.h \
	MDIWindow.h \
	InitInterfaceDialog.h \
	ConnectNodeDialog.h \
	DeviceInfoDialog.h \
	CANopenAccess.h \
	CANopenTypes.h \
	dic/CANopen.h \
	dic/CANopenObject.h \
	dic/CANopenObjectEntry.h \
	dic/CANopenDeviceInfo.h \
	dic/CANopenReader.h \
	dic/IniReader.h \
	cop/cop_api.h \
	cop/can_ctrl.h \
	cop/can_defs.h \
	cop/default.h \
	tcp/tcp_open.h \
	tcp/base64.h \
	tcp/default.h

SOURCES = main.cpp \
	MainFrame.cpp \
	MDIWindow.cpp \
	InitInterfaceDialog.cpp \
	ConnectNodeDialog.cpp \
	DeviceInfoDialog.cpp \
	CANopenAccess.cpp \
	CANopenTypes.cpp \
	dic/CANopen.cpp \
	dic/CANopenObject.cpp \
	dic/CANopenObjectEntry.cpp \
	dic/CANopenDeviceInfo.cpp \
	dic/CANopenReader.cpp \
	dic/IniReader.cpp \
	cop/cop_api.c \
	cop/cop_sdo.c \
	cop/cop_nms.c \
	cop/can_ctrl.c \
	tcp/tcp_open.c \
	tcp/tcp_eval.c \
	tcp/base64.c

IMAGES  = res/program.png \
	res/document.png \
	res/fileopen.png \
	res/fileprint.png \
	res/fileclose.png \
	res/exit.png \
	res/deviceinfo.png \
	res/contents.png \
	res/contexthelp.png \
	res/uv-software.png

MOC_DIR = ./.moc
OBJECTS_DIR	= ./.obj
UI_DIR  = ./.ui

##############################################################################
#	Uwe Vogt,  UV Software,  Steinaecker 28,  88048 Friedrichshafen,  Germany
#	Fon: +49-7541-6041530, Fax. +49-1803-551809359, Cell fon: +49-170-3801903
#	E-Mail: uwe.vogt@uv-software.de, Internet URL: http://www.uv-software.de/
##############################################################################
